image: node:latest

stages:
  # - install
  - test

# job-install:
#   stage: install
#   script:
#     - npm install
#   artifacts:
#     untracked: false
#     when: on_success
#     access: all
#     expire_in: "30 days"
#     paths:
#       - node_modules



job-test:
  stage: test
  script:
    - npm install
    - echo "ASSEMBLYAI_API_KEY=$apikey_assembly" > .env
    - echo "GOOGLE_API_KEY=$apikey_gemini" >> .env
    - echo "SAIA_API_KEY=$apikey_saia" >> .env
    - npm test